Syllable Forum Index Syllable
Syllable Forums
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Wifi module

 
Post new topic   Reply to topic    Syllable Forum Index -> Syllable Server
View previous topic :: View next topic  
Author Message
Bogomips



Joined: 23 Feb 2011
Posts: 307
Location: France

PostPosted: Mon Jul 09, 2012 8:55 am    Post subject: Wifi module Reply with quote

hello,

I'm trying for some time to compile the Wifi module "RT2870sta".

I copied the kernel source in "/usr/src" and I created a link to "/lib/modules/2.6.27.44-Syllable/build"

But I have this error message:

error: code model 'kernel' not supported in the 32 bit mode.
sorry, unimplemented: 64 bit mode not compiled in.

This is a 32bit driver.

Best regards
Back to top
View user's profile Send private message
Kaj
The Knights of Syllable


Joined: 14 Sep 2007
Posts: 2202
Location: Friesland

PostPosted: Mon Jul 09, 2012 2:19 pm    Post subject: Reply with quote

I never compile the kernel like that, so I have no experience with it. I use Builder like this:

mkdir system
cd system
build Linux-2.6.27.44
su
build install Linux-2.6.27.44

I haven't compiled a new kernel in some time, so I'm not sure that's all that's needed, but it should give you an extra kernel in /resources/ that overrides the one in /system/resources/ if you also make an extra entry for it in the GrUB menu.

You can add extra drivers to that kernel build. If you just want to install the kernel source for an extra driver to reference, you'd do:

mkdir system
cd system
build get Linux-2.6.27.44
Back to top
View user's profile Send private message Visit poster's website
Bogomips



Joined: 23 Feb 2011
Posts: 307
Location: France

PostPosted: Tue Jul 10, 2012 3:27 am    Post subject: Reply with quote

Yes, it's an additional driver that I have always used and which works very well.
But he's not present in the kernel 2.6.27.44.

Thank you.
Back to top
View user's profile Send private message
Kaj
The Knights of Syllable


Joined: 14 Sep 2007
Posts: 2202
Location: Friesland

PostPosted: Tue Jul 10, 2012 7:52 am    Post subject: Reply with quote

Is it included in newer kernels?
Back to top
View user's profile Send private message Visit poster's website
Bogomips



Joined: 23 Feb 2011
Posts: 307
Location: France

PostPosted: Tue Jul 10, 2012 8:16 am    Post subject: Reply with quote

Apparently, since version 2.6.29, this driver has been included in the kernel.

But I don't understand why I get this error, this is the first time. Perhaps because the directory paths are different on Server. I don't know.

I looked on the web, and generally this error comes from a compilation of a 64 bit driver on a 32 Bit system. But here, everything is 32 bit. I tried with a newer version of driver(2010) and the result is identical.
Back to top
View user's profile Send private message
Kaj
The Knights of Syllable


Joined: 14 Sep 2007
Posts: 2202
Location: Friesland

PostPosted: Tue Jul 10, 2012 8:54 am    Post subject: Reply with quote

I once tried kernel 2.6.32.6. It didn't work, but the recipe is still there. There are probably newer kernels than 2.6.27.44 that would work, but for the newest kernels, it seems that a lot of the system infrastructure needs to be upgraded.

Kernel compilation in Syllable does indeed use different paths than the kernel is used to, so it may well be that this needs to be accounted for when compiling the driver. Have a look how Builder does it in its profiles directory, particularly profiles/linux and linux-finish. There are cases in there for compiling external kernel modules: for the KQEmu module and in gui-linux for DirectFB's LinuxFusion module.
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    Syllable Forum Index -> Syllable Server All times are GMT - 6 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group